From 18282fb35be070dc85e563d73f639fb529882b9b Mon Sep 17 00:00:00 2001
From: Raymond Yau <superquad.vortex2@gmail.com>
Date: Sat, 26 Feb 2011 09:24:43 +0800
Subject: [[PATCH] ALSA  1/1] Fix alsa-lib to regard 3D control - Depth as Playback Controls


Signed-off-by: Raymond Yau <superquad.vortex2@gmail.com>

diff --git a/src/mixer/simple_none.c b/src/mixer/simple_none.c
index 426f2d7..395e4d6 100644
--- a/src/mixer/simple_none.c
+++ b/src/mixer/simple_none.c
@@ -937,7 +937,12 @@ static int base_len(const char *name, selem_ctl_type_t *type)
 		*type = CTL_CAPTURE_ROUTE;
 		return strlen(name);
 	}
-
+	if (strstr(name, "3D Control") > 0) {
+		if (strstr(name, "Depth") > 0) {
+			*type = CTL_PLAYBACK_VOLUME;
+			return strlen(name);
+		}
+	}
 	return 0;
 }
 
-- 
1.6.0.6

